[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| SeedRgDirectValueFunctor Class Template Reference |
--- | --- | ---

Statistics functor to be used for seeded region growing. More...

`#include "vigra/seededregiongrowing.hxx"`

## Public Types
typedef Value | argument_type
typedef Value | result_type
typedef Value | value_type
typedef Value | cost_type
## Public Methods
void | operator() (argument_type const &) const
cost_type const & | cost (argument_type const &v) const

## Detailed Description

### template<class Value>
class vigra::SeedRgDirectValueFunctor< Value >

Statistics functor to be used for seeded region growing.

This functor can be used if the cost of a candidate during seededRegionGrowing() is equal to the feature value of that candidate and does not depend on properties of the region it is going to be merged with.

#include "vigra/seededregiongrowing.hxx"
Namespace: vigra

Required Interface:

no requirements

## Member Typedef Documentation

typedef Value argument_type

| the functor's argument type

typedef Value cost_type

| the return type of the cost() function

typedef Value result_type

| the functor's result type (unused, only necessary for use of SeedRgDirectValueFunctor in vigra::ArrayOfRegionStatistics

typedef Value value_type

| Deprecated: use argument_type

## Member Function Documentation

cost_type const& cost | ( | argument_type const & | v | ) | const`[inline]`

| Return argument (since cost is identical to feature value)

void operator() | ( | argument_type const & |  | ) | const`[inline]`

| Do nothing (since we need not update region statistics).

The documentation for this class was generated from the following file:

- vigra/seededregiongrowing.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)